Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007928opensim[GRID] Grid Servicepublic2016-06-17 15:502019-02-06 11:30
Reporterdanbanner 
Assigned Todanbanner 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versionmaster (dev code) 
Target Versionmaster (dev code)Fixed in Version 
Summary0007928: command to show size of grid is not returning correct info
Description'show grid size' is no longer functional

# show grid size
This is a very rough approximation.
Although it will not count regions that are actually links to others over the Hypergrid,
it will count regions that are inactive but were not deregistered from the grid service
(e.g. simulator crashed rather than shutting down cleanly).

Grid size: 0 km squared.
Steps To Reproducerun the command in robust: show grid size
TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim) , Grid (Multiple Regions per Sim)
Physics EngineODE, BulletSim
Script Engine
EnvironmentMono / Linux64
Mono Version4.0
Viewern/a
Attached Files

- Relationships

-  Notes
(0030561)
danbanner (manager)
2016-06-17 17:20
edited on: 2016-06-17 17:21

The commit this feature was added http://opensimulator.org/viewgit/?a=commitdiff&p=opensim&h=219d2734181e615199ccfd6c10d595ea6aa41b14 [^] if this helps.

(0030582)
Diva (administrator)
2016-06-19 13:57

[13:57] <cia-opensim> opensim: diva * rea3fe90ddb2e OpenSim/Services/GridService (GridService.cs):
[13:57] <cia-opensim> Mantis 0007928: show grid size and show regions now working. Integers were being overflown.
(0030583)
danbanner (manager)
2016-06-19 14:12

Thanks Diva, all working well :)
(0034530)
BillBlight (developer)
2019-02-06 11:30

Marked as Resolved but never closed, can be reopened if needed.

- Issue History
Date Modified Username Field Change
2016-06-17 15:50 danbanner New Issue
2016-06-17 17:20 danbanner Note Added: 0030561
2016-06-17 17:21 danbanner Note Edited: 0030561 View Revisions
2016-06-19 13:57 Diva Note Added: 0030582
2016-06-19 14:12 danbanner Note Added: 0030583
2016-06-19 14:12 danbanner Status new => resolved
2016-06-19 14:12 danbanner Resolution open => fixed
2016-06-19 14:12 danbanner Assigned To => danbanner
2019-02-06 11:30 BillBlight Note Added: 0034530
2019-02-06 11:30 BillBlight Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker